dots.v2.apps.byApp_Id().alerts.byAlert_id().destinations.post()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.apps.byApp_Id(app_Id).alerts.byAlert_id(alert_id).destinations.post(body: Apps_assign_app_alert_destinations_request, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Apps_alert_response>Description
Updates the emails and slack webhook destinations for app alerts. Emails must be associated to a user with access to the app.
Parameters
Path Parameters
app_Idstring requiredExample:
4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cfThe app ID
alert_idstring requiredExample:
5a624ab5-dd58-4b39-b7dd-8b7c36e8a91dThe alert ID
Request Body
emailsarray of strings optionalExample:
["[email protected]"]slackWebhooksarray of objects optionalShow child properties
urlstring optionalExample:
https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXXXXXXXXXXchannelstring optionalExample:
Channel Name
Request Sample
Response Example
More Information
See /v2/apps/{app_id}/alerts/{alert_id}/destinations in the API reference for additional detail on responses, headers, parameters, and more.